package com.clx.performance.service;

import com.clx.performance.param.mq.OrderChildCancelMqParam;
import com.clx.performance.vo.mq.OrderChildAddMqParam;
import com.clx.performance.vo.mq.OrderChildArriveReceiveAddressMqParam;
import com.clx.performance.vo.mq.OrderChildArriveSendAddressMqParam;
import com.clx.performance.vo.mq.OrderChildDriverConfirmMqParam;
import com.clx.performance.vo.mq.OrderChildLoadMqParam;
import com.clx.performance.vo.mq.OrderChildUnloadMqParam;

public interface OrderChildMqHandlerService {

    void orderChildAdd(OrderChildAddMqParam mq);
    void orderChildArriveSendAddress(OrderChildArriveSendAddressMqParam mq);
    void orderChildArriveReceiveAddress(OrderChildArriveReceiveAddressMqParam mq);
    void orderChildDriverConfirm(OrderChildDriverConfirmMqParam mq);



    void orderChildLoad(OrderChildLoadMqParam mq);
    void orderChildUnload(OrderChildUnloadMqParam mq);


    void orderChildCancel(OrderChildCancelMqParam mq);

}
